Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3940 - hosts allow can't use netgroup
Summary: hosts allow can't use netgroup
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcp_wrappers
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-07 21:09 UTC by glenn
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 21:31:31 UTC


Attachments (Terms of Use)

Description glenn 1999-07-07 21:09:43 UTC
Use of netgroups in the hosts allow directive can't be used
since they aren't configured.  With debug level set to 3,
the following message appears in /var/log/samba/log.smb:

[1999/07/07 15:40:08, 0] lib/access.c:string_match(95)
  access: netgroup support is not configured

This is due to a failure of the configure script to search
libnsl.a for the yp_get_default_domain() function.

A workaround is to define

export LDFLAGS=-lnsl

prior to running the configure script.

Comment 1 clemons 1999-07-09 15:48:59 UTC
Actually, this should be classified as  a more general problem as I
have the same difficulties with sshd and tcp_wrappers.  Was netgroup
support not compiled in Red Hat binaries and, if so, is there an
explanation as to why not?

Comment 2 Bill Nottingham 1999-07-21 18:39:59 UTC
fixed in samba in 2.0.5-1, available RSN.
Changed to tcp_wrappers...

Comment 3 Jeff Johnson 1999-08-23 21:31:59 UTC
NETGROUP support added in tcp_wrappers-7.6-9.


Note You need to log in before you can comment on or make changes to this bug.